All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::ocl::invalid_program Class Reference

Exception thrown if an OpenCL program object handle is invalid (e.g. not initialized). More...

`#include <error.hpp>`

Inheritance diagram for viennacl::ocl::invalid_program:

## Detailed Description

Exception thrown if an OpenCL program object handle is invalid (e.g. not initialized).

Definition at line 353 of file error.hpp.

The documentation for this class was generated from the following file:

- viennacl/ocl/error.hpp